using FitConnect.Models;

namespace FitConnect.Interfaces;

public interface IFluentSenderWithAttachments : IFluentSenderReady {
    public Submission Submission { get; }

    /// <summary>
    ///     Data as string.
    /// </summary>
    /// <param name="data">json or xml as string</param>
    /// <example>
    ///   .WithData(@"{ ""name"": ""John Doe"" }")
    /// </example>
    /// <returns>next step to submit the data</returns>
    public IFluentSenderWithData WithData(string data);
}
