using FitConnect.Services.Models;

namespace FitConnect.Models;

public class ServiceType {
    public string? Name { get; set; }

    public string? Description { get; set; }
    public string? Identifier { get; set; }

    public static explicit operator ServiceType(ServiceTypeDto dto) {
        return new ServiceType {
            Description = dto.Description,
            Identifier = dto.Identifier,
            Name = dto.Name
        };
    }

    public static explicit operator ServiceTypeDto(ServiceType model) {
        return new ServiceTypeDto {
            Description = model.Description,
            Identifier = model.Identifier,
            Name = model.Name
        };
    }

    public bool IsValid() {
        return !string.IsNullOrWhiteSpace(Name) && !string.IsNullOrWhiteSpace(Identifier);
    }
}
