using FitConnect.Models;
using FitConnect.Services;
using Microsoft.Extensions.Logging;

namespace FitConnect;

/// <summary>
///     Client to the FitConnect Routing Api
/// </summary>
public class Routing {
    private readonly FitConnectEnvironment _environment;
    private readonly ILogger? _logger;

    public Routing(FitConnectEnvironment environment, IRouteService routeService,
        ILogger? logger) {
        _logger = logger;
        _environment = environment;
    }


    /// <summary>
    /// </summary>
    /// <param name="filter"></param>
    /// <param name="offset"></param>
    /// <param name="limit"></param>
    /// <returns></returns>
    public List<Area> GetAreas(string filter, int offset = 0, int limit = 100) {
        return GetAreasAsync(filter, offset, limit).Result;
    }


    /// <summary>
    /// </summary>
    /// <param name="filter"></param>
    /// <param name="offset"></param>
    /// <param name="limit"></param>
    /// <returns></returns>
    public async Task<List<Area>> GetAreasAsync(string filter, int offset = 0, int limit = 100) {
        return new List<Area>();
    }


    /// <summary>
    /// </summary>
    /// <param name="leikaKey"></param>
    /// <param name="ags"></param>
    /// <param name="ars"></param>
    /// <param name="areaId"></param>
    /// <param name="offset"></param>
    /// <param name="limit"></param>
    /// <returns></returns>
    public async Task<List<Route>> GetRoutesAsync(string leikaKey, string ags, string ars,
        string areaId, int offset = 0, int limit = 100) {
        return new List<Route>();
    }


    /// <summary>
    /// </summary>
    /// <param name="leikaKey"></param>
    /// <param name="ags"></param>
    /// <param name="ars"></param>
    /// <param name="areaId"></param>
    /// <param name="offset"></param>
    /// <param name="limit"></param>
    /// <returns></returns>
    public List<Route> GetRoutes(string leikaKey, string ags, string ars,
        string areaId, int offset = 0, int limit = 100) {
        return GetRoutesAsync(leikaKey, ags, ars, areaId, offset, limit).Result;
    }
}
